#include <avr/io.h>
#include <avr/interrupt.h>

volatile uint8_t count;

int main(void) {
                                    // nastavi prescaler => FCPU/64
    TCCR0B |= (1<<CS02)|(1<<CS00);  // na 16MHz => 16Mhz/256/1024 = 61.03515625
    TIMSK0 |= (1<<TOIE0);           // povoli Overflow Interrupt 
    TCNT0 = 0;                      // inicializuje citac

    DDRB |= (1 << PB5);             // na portu B nastavi 6. bit na vystupni mod

    count = 0;                      // inicializace globalni promenne
    sei();                          // povoli presuseni vyvolane casovacem

    while(1);                       // nekonecna smycka
    return 1;                       // toto nenastane, budme ale slusni
}

/* Toto je obsluzna rutina preruseni casovace TIMER0.
   CPU tuto rutinu samo pusti po preteceni citace */
ISR(TIMER0_OVF_vect) {
   count++;
   if(count == 61) {                // 61 kroku je potreba k casovani ~1 vteriny
      PORTB ^= (1 << PB5);          // invertuju hodnotu sesteho bitu
      count = 0;
   }
}
